/*
 * VITAL-5G monitoring platform
 * No description provided (generated by Swagger Codegen https://github.com/swagger-api/swagger-codegen)
 *
 * OpenAPI spec version: 1.0.0
 * 
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 * Do not edit the class manually.
 */

package it.nextworks.nfvmano.v5g.monitoring.model;

import java.util.Objects;

import com.google.gson.annotations.SerializedName;
import io.swagger.v3.oas.annotations.media.Schema;

/**
 * ServiceMetric
 */

@javax.annotation.Generated(value = "io.swagger.codegen.v3.generators.java.JavaClientCodegen", date = "2022-07-14T13:52:23.591Z[GMT]")
public class ServiceMetric extends BaseMetric {
  @SerializedName("vmReference")
  private String vmReference = null;

  @SerializedName("metricKPI")
  private String metricKpi=null;

  public ServiceMetric vmReference(String vmReference) {
    this.vmReference = vmReference;
    return this;
  }

  public String getMetricKpi() {
    return metricKpi;
  }

  public void setMetricKpi(String metricKpi) {
    this.metricKpi = metricKpi;
  }

  /**
   * Get vmReference
   * @return vmReference
  **/
  @Schema(required = true, description = "")
  public String getVmReference() {
    return vmReference;
  }

  public void setVmReference(String vmReference) {
    this.vmReference = vmReference;
  }


  @Override
  public boolean equals(java.lang.Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    ServiceMetric serviceMetric = (ServiceMetric) o;
    return Objects.equals(this.vmReference, serviceMetric.vmReference) &&
        super.equals(o);
  }

  @Override
  public int hashCode() {
    return Objects.hash(vmReference, super.hashCode());
  }


  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class ServiceMetric {\n");
    sb.append("    ").append(toIndentedString(super.toString())).append("\n");
    sb.append("    vmReference: ").append(toIndentedString(vmReference)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(java.lang.Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }

}
